#
# spec file for package pam_csync
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%if !%{defined _pam_moduledir}
%define _pam_moduledir /%{_lib}/security
%endif
Name:           pam_csync
Version:        0.43.0
Release:        2.6
Summary:        A PAM module for roaming home directories
License:        GPL-2.0-or-later
Group:          System/Libraries
URL:            https://www.csync.org/
Source0:        https://gitlab.com/csync/pam_csync/-/archive/%{version}/%{name}-%{version}.tar.gz
Source1:        baselibs.conf
# PATCH-FIX-UPSTREAM 0002-Update-FSF-address.patch
Patch2:         0002-Update-FSF-address.patch
BuildRequires:  cmake
BuildRequires:  libcsync-devel
BuildRequires:  libiniparser-devel
BuildRequires:  pam-devel

%description
This is a PAM module to provide roaming home directories for a user
session. The authentication module verifies the identity of a user and
triggers a synchronization with the server on the first login and the
last logout.

%prep
%autosetup -p1

%build
%cmake -DPAM_MODULE_INSTALL_DIR=%{_pam_moduledir}
%cmake_build

%install
%cmake_install

%files
%doc FAQ README
%license COPYING
%{_pam_moduledir}/pam_csync.so
%dir %{_sysconfdir}/security
%config(noreplace) %{_sysconfdir}/security/pam_csync.conf
%{_mandir}/man?/pam_csync.*

%changelog
* Wed Aug  3 2022 Ludwig Nussel <lnussel@suse.de>
- use %%_pam_moduledir (boo#1190949)
- run spec-cleaner
* Wed Jun 10 2020 Andreas Schneider <asn@cryptomilk.org>
- Update to version 0.43.0
- Removed 0001-Remove-backward-compatibility-option-for-newer-cmake.patch
* Mon Mar 16 2015 dimstar@opensuse.org
- Fix popd usage: since bash 4.3, it only takes a numeric argument.
* Mon Mar 10 2014 jmcdonough@suse.com
- Remove cmake backward compatibility flag and update FSF
  address in license
  + Added 0001-Remove-backward-compatibility-option-for-newer-cmake.patch
  + Added 0002-Update-FSF-address.patch
* Mon Feb  1 2010 jengelh@medozas.de
- package baselibs.conf
* Thu Jun 25 2009 sbrabec@suse.cz
- Supplement pam-32bit/pam-64bit in baselibs.conf (bnc#354164).
* Mon Jun 15 2009 anschneider@exsuse.de
- update to version 0.42.0
  + Added support to sync with the Windows Home Directory
* Tue Oct 28 2008 anschneider@suse.de
- update to version 0.42.0 beta2
  + Improved debugging output
  + Fixed some PAM problems introduce by buggy gdm, su, openssh
  + Fixed kerberos support
  + Code cleanups
* Wed Sep 10 2008 anschneider@suse.de
- update to version 0.42.0 beta1
  + Fixed return codes of the forked child process
  + Code cleanups
* Mon Aug 18 2008 anschneider@suse.de
- update to version 0.42.0 alpha 2
  + improved manpage
  + fixed some build warnings
  + fixed return values
* Mon Jul 14 2008 anschneider@suse.de
- Set the right license in the spec file
* Mon Jun 23 2008 rlihm@suse.de
- Initial package (version 0.42.0 alpha1)
